Page MenuHomePhabricator

Service / http client to communicate with remote API (first version)
Closed, ResolvedPublic5 Estimated Story Points

Description

In order to make T246803: Implement new way of abstraction to call remote wbsearchentities API possible, we'll need some "service" / http client that can be used to communicate with the remote API.

The first version should be a flexible service without defined ways of communicating besides giving some API parameters. It should return response interface PSR-7.

This could end up looking similar to https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/576285/
Although as noted in the description above the parameter of the function might make more sense to be the api parameters in the initial version (perhaps as an array)

Event Timeline

Samantha_Alipio_WMDE set the point value for this task to 5.
Addshore updated the task description. (Show Details)Mar 4 2020, 8:58 AM

While looking at T246803 @Jakob_WMDE and I spotted RepoApiInteractor which is similar to what we want to do in this ticket.

Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 6 2020, 10:00 AM

Change 576285 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] GenericActionApiClient for federated property calls

https://gerrit.wikimedia.org/r/576285

Change 578519 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Add MWHttpRequest to PSR-7 ResponseInterface adapter

https://gerrit.wikimedia.org/r/578519

Change 578519 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add MWHttpRequest to PSR-7 ResponseInterface adapter

https://gerrit.wikimedia.org/r/578519

Change 576285 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] GenericActionApiClient for federated property calls

https://gerrit.wikimedia.org/r/576285

Addshore closed this task as Resolved.Apr 1 2020, 9:44 AM
Addshore moved this task from Unsorted 💣 to Closing ✔️ on the User-Addshore board.